Bug 201192 - [MAINTAINER] games/wesnoth: Update to to 1.12.4
Summary: [MAINTAINER] games/wesnoth: Update to to 1.12.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Xin LI
URL:
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2015-06-29 08:58 UTC by Torsten Zühlsdorff
Modified: 2015-07-01 17:28 UTC (History)
3 users (show)

See Also:


Attachments
diff to update games/wesnoth to 1.12.4 (801 bytes, patch)
2015-06-29 08:58 UTC, Torsten Zühlsdorff
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-06-29 08:58:40 UTC
Created attachment 158154 [details]
diff to update games/wesnoth to 1.12.4

Patch to update games/wesnoth to the new version 1.12.4.

This is an update which fixes two security issues!

Poudriere-log can be found here (4.1 MB):
http://ports.toco-domains.de/poudriere-test-logs/wesnoth-1.12.4,1.log
Comment 1 Jason Unovitch freebsd_committer 2015-06-30 02:18:42 UTC
security/vuxml entry is in the original PR to report the security issue to the maintainer (bug 201105).
Comment 2 Jason Unovitch freebsd_committer 2015-07-01 00:00:12 UTC
(In reply to Torsten Zühlsdorff from comment #0)
Supplementing the maintainer's Poudriere logs, I've successfully run a build test on the following:

8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p13     amd64
10.1-RELEASE-p13     i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 3 Xin LI freebsd_committer 2015-07-01 00:16:32 UTC
Take.
Comment 4 Xin LI freebsd_committer 2015-07-01 00:27:58 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2015-07-01 00:28:11 UTC
A commit references this bug:

Author: delphij
Date: Wed Jul  1 00:27:38 UTC 2015
New revision: 391018
URL: https://svnweb.freebsd.org/changeset/ports/391018

Log:
  Update to 1.12.4.

  PR:		ports/201192
  Submitted by:	maintainer (Torsten Z?hlsdorff)

Changes:
  head/games/wesnoth/Makefile
  head/games/wesnoth/distinfo
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-01 11:22:44 UTC
Clean up post-close. Does this need need to MFH'd to the new quarterly branch?
Comment 7 Torsten Zühlsdorff 2015-07-01 13:19:20 UTC
(In reply to Kubilay Kocak from comment #6)

As this is a security fix i would take it to the quarterly branch!
Comment 8 Xin LI freebsd_committer 2015-07-01 17:28:45 UTC
(In reply to Torsten Zühlsdorff from comment #7)
I agree in principal.

Note however that quarterly branches are supported until the next quarterly branch is cut, and the 2015Q3 branch is cut just a few hours ago which carried this fix, and 2015Q2 is no longer supported, so I would consider this as "overcome by event".